Calculate Forum

Вышел Calculate Linux 11.0

Вышел 21 января 2011 г.

Вышла новая версия дистрибутива Calculate Linux 11.0. Доступны для загрузки шесть редакций дистрибутива под архитектуры i686 и x86_64: Calculate Linux Desktop с рабочим столом KDE (CLD), GNOME (CLDG) и XFCE (CLDX), Calculate Linux Scratch (CLS), Calculate Directory Server (CDS) и Calculate Scratch Server (CSS).

Основные изменения

  • Добавлены бинарные репозитории для Calculate Linux Desktop (CLD, CLDG and CLDX) и Calculate Directory Server (CDS) с поддержкой rolling-release (непрерывного цикла обновлений).
  • Доступен новый минималистичный дистрибутив Calculate Scratch Server (CSS).
  • Добавлен новый пакет calculate-assemble для сборки системы.
  • Доступны еженедельные сборки дистрибутивов.
  • Оптимизирован интерфейс пользователя в Calculate Linux Desktop.
  • Добавлена поддержка совмещенного хранения профиля пользователя для различных версий Calculate Linux Desktop (CLD, CLDG и CLDX).
  • Улучшена поддержка нетбуков.
  • Добавлена поддержка принтеров Canon.
  • Переход на Portage 2.2.
  • Calculate Directory Server теперь включает новый установщик cl-install.
  • При установке, разделы по умолчанию обозначаются через UUID.
  • Переход на использование KMS для видеокарт Intel.

Состав версий

  • CLD (KDE Desktop):
    KDE 4.5.5, Amarok 2.3.2, digiKam 1.7.0, Chromium 8.0.552.237, Kernel 2.6.36.2, OpenOffice 3.2.1, X.Org 7.4
    i686 - 1.9 GB, x86_64 - 2.0 GB
  • CLDG (GNOME Desktop):
    Gnome 2.30, Gimp 2.6.8, Chromium 8.0.552.237, Kernel 2.6.36.2, OpenOffice 3.2.1, X.Org 7.4
    i686 - 1.5 GB, x86_64 - 1.6 GB
  • CLDX (XFCE Desktop):
    XFCE 4.8, Gimp 2.6.8, Kernel 2.6.36.2, Chromium 8.0.552.237, OpenOffice 3.2.1, X.Org 7.4
    i686 - 1.3 GB, x86_64 - 1.4 GB
  • CLS (Scratch Desktop):
    X.Org 7.4, Kernel 2.6.36.2
    i686 - 465 MB, x86_64 - 507 MB
  • CDS (Directory Server):
    Bind 9.7.2-P3, Kernel 2.6.32.27, OpenLDAP 2.4.23, Postfix 2.7.1, ProFTPD 1.3.3d, Samba 3.5.6
    i686 - 641 MB, x86_64 - 690 MB
  • CSS (Scratch Server):
    Kernel 2.6.32.27
    i686 - 359 MB, x86_64 - 398 MB

Обновление

Обновить предыдущую версию Calculate Linux можно двумя способами:

  • Для обновления Calculate Linux 10.9 установите мета-пакет app-misc/calculate-meta. Для обновления более ранних версий, в конце выполните команду ‘cl-install --live’.
  • Загрузите ISO образ в директорию /var/calculate/linux, после чего выполните команду ‘cl-install -d /dev/sdaX’, с указанием свободного раздела для установки. Установка займет 5-7 минут, большинство установок будут перенесены.

Ссылки

раздайте плиз

все здорово, только:

  1. после cl-install -d /dev/sdaX засадно то что подключенная к домену машинка из домена вываливается (может нада какойто конфик подправить?)
    2 пришлось пересобрать драйвер интеловской карточки:

    [ 597.863] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
    i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
    E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
    965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
    4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
    Sandybridge, Sandybridge, Sandybridge, Sandybridge, Sandybridge,
    Sandybridge, Sandybridge
    [ 597.864] (++) using VT number 7

    [ 597.868] (EE) No devices detected.

Отлично, спасибо за качественные релизы. Давно сижу на Calculate. Нравится системка.

А разве версия 11.0-r2 - это финальный релиз?

только:

Вообще для этого баг-трекер есть.

А разве версия 11.0-r2 - это финальный релиз?

Я думаю будут и r3 и r4, пока мы не перейдем на app-misc/calculate-meta-11.X.
Более того 11.0 это переименованный stage 20110120.

А как сейчас этот пакет называется?
По запросу calculate-meta emerge не выдаёт ничего.

Леонид Воронов писал(а):

А как сейчас этот пакет называется?
По запросу calculate-meta emerge не выдаёт ничего.

Не знаю у меня бета 2 11.0 и вот что есть
app-misc/calculate-meta [1]
Available versions: 11.0-r2
Installed versions: 11.0-r2

Не могу установить мета-пакет app-misc/calculate-meta
emerge его не может найти…
Без него на новую 11 версию настройки не переносятся…

Василий Прохоров писал(а):

Не могу установить мета-пакет app-misc/calculate-meta
emerge его не может найти…
Без него на новую 11 версию настройки не переносятся…

может попробуй eix-sync

и есть иные способы перехода. все в документации…

Не могу установить мета-пакет app-misc/calculate-meta
emerge его не может найти…

Путь к пакету здесь: /var/lib/layman/calculate/app-misc/calculate-meta
Если файл есть, значит оверлей подключен. Попробуйте “eix-update”, после этого eix-ом поискать “eix calculate-meta”. Возможно Вы не обновляете оверлей.

Спасибо сделал как вы говорили, но emerge не захотел его устанавливать…(вот что он пишет)

Calculating dependencies… done!
[ebuild N ] app-misc/calculate-meta-11.0-r2 CDISTRO=“CLDG -CDS -CLD -CLDX -CLS -CMC -CSS”
[blocks B ] x11-plugins/pidgin-facebookchat (“x11-plugins/pidgin-facebookchat” is blocking app-misc/calculate-meta-11.0-r2)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(‘ebuild’, ‘/’, ‘app-misc/calculate-meta-11.0-r2’, ‘merge’) pulled in by
calculate-meta

(‘installed’, ‘/’, ‘x11-plugins/pidgin-facebookchat-1.67’, ‘nomerge’) pulled in by
x11-plugins/pidgin-facebookchat required by (‘installed’, ‘/’, ‘app-misc/cldg-meta-10.9’, ‘nomerge’)

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

!!! The following installed packages are masked:

  • sys-devel/libperl-5.8.8-r2 (masked by: package.mask)
    /usr/portage/profiles/package.mask:
    # Torsten Veller tove@gentoo.org (06 Jan 2011)
    # Next step to remove old perl and libperl versions.
    # Versions prior 5.12 are masked and will be removed when 5.14 is available.
    # If you are a sparc-fbsd user and your only keyworded perl version was masked,
    # test perl-5.12.2 and reply to bug 288028
    # For other complaints go to bug 350785

  • sys-auth/policykit-0.9-r1 (masked by: package.mask)
    /usr/portage/profiles/package.mask:
    # Samuli Suominen ssuominen@gentoo.org (25 Jan 2011)
    # Replaced by sys-auth/polkit. Removal in 30 days.
    # Bug 340331.

  • dev-lang/perl-5.8.8-r8 (masked by: package.mask)
    For more information, see the MASKED PACKAGES section in the emerge
    man page or refer to the Gentoo Handbook.

policykit можно смело удалять, он по зависимостям уже никому не нужен будет.
pidgin-facebookchat можно обновить либо удалить, из мета-пакета он также исключен.
libperl, нужно не просто обновить perl, но ещё и выполнить в конце perl-cleaner, собственно ebuild Вас об этом попросит.

Заходите в ирку, там можно быстрее решить проблему.

Спасибо, пакет поставил…
Но почему то после обновления все настройки пропали, пользователь только перенесся. И пакеты которые я ставил и настраивал ранее тоже нет?Так должно быть?

Ну так /home нужно выносить в отдельный раздел. Так и надежней и правильней, ведь одно дело данные, другое система. Вариант разбиения диска описан здесь.

Программы не переносятся, но если Вы во время их компиляции Вы будете использовать флаг --buildpkg, то их можно довольно быстро восстановить из бинарных пакетов, используя флаг --getbinpkg.

Mastodon Mastodon